summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-hooks/97-remove_i2p
diff options
context:
space:
mode:
authorKill Your TV <killyourtv@i2pmail.org>2014-08-05 22:05:24 +0000
committerKill Your TV <killyourtv@i2pmail.org>2014-08-05 22:12:31 +0000
commit4be332491ebe28703352964e7031062e7b27b7e2 (patch)
tree715eaedc0f96f078496a6d8c63b61186c7c9d4ec /config/chroot_local-hooks/97-remove_i2p
parent0d883f9bbaa710e43ab1b22ca47f12b303dedefa (diff)
rename hook script for consistency's sake
Diffstat (limited to 'config/chroot_local-hooks/97-remove_i2p')
-rwxr-xr-xconfig/chroot_local-hooks/97-remove_i2p16
1 files changed, 16 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/97-remove_i2p b/config/chroot_local-hooks/97-remove_i2p
new file mode 100755
index 0000000..9dbef19
--- /dev/null
+++ b/config/chroot_local-hooks/97-remove_i2p
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -u
+set -e
+
+# Everything moved by this hook script will be reversed in the event that
+# the string "i2p" is entered at a boot prompt
+
+DEST="/usr/share/tails/i2p-disabled"
+
+[ -d "/usr/share/i2p" ] || return 0
+
+mkdir "$DEST"
+mv -f /usr/share/i2p "$DEST"
+mv -f /usr/sbin/wrapper "$DEST"
+mv -f /usr/share/applications/i2p.desktop "$DEST"